The Raybeacon is full-featured nRF52 based ultra-compact, ultra-low power, multiprotocol development board designed for variety of embedded applications. Thanks to the modular design, the device can be used to build your own production-ready appliance without any hardware modifications.

Key features include:

- Very small size - the board is only 25 mm in diameter
- Works from a single CR2032 / CR2025 3V button cell
- Nordic nRF52 high-end multiprotocol SoC supporting Bluetooth 5.x, Bluetooth mesh, Thread and Zigbee; of your choice:
    * [nRF52833](https://www.nordicsemi.com/Products/Low-power-short-range-wireless/nRF52833):
      Cortex-M4F 64MHz, 512KB flash, 128KB RAM, Bluetooth® 5.1 Direction Finding, 105°C temperature qualification
    * [nRF52840](https://www.nordicsemi.com/Products/Low-power-short-range-wireless/nRF52840):
      Cortex-M4F 64MHz, 1MB flash, 256KB RAM, Bluetooth® 5.0, ARM TrustZone® CryptoCell cryptographic unit
- Automotive grade BOM components - ready for harsh environment
- 2 x tactile buttons IP67
- 1 x RGB LED
- 1 x infrared LED (850 nm), can be replaced with any 0402 LED
- Socket for NFC flex antenna, compatible with Nordic FPC antenna and Liard 0600-00061. Can be configured as extra 2xGPIO.
- Programmable through SWD port (removable Tag-Connect socket, on-board solder pads)
- 1.27mm pitch 2x4 receptacle to connect custom extension boards:
    * 6 x GPIO ports
    * 1 x 12-bit ADC input
    * pass-through VDD and GND pins
- 2.54mm pitch 1x8 pin header for fast breadboard prototyping; can be reused as 1.27 to 2.54 adapter
- USB interface (on-board solder pads)
- Minimal fabrication cost due to simple, two-layers only design

For detailed description, including information on custom boards and source files, please refer to the [project repository](https://bitbucket.org/raytrails/raybeacon/) on Bitbucket.

**Please note, the project still work in progress. So far it was tuned for the nRF52840 only. The nRF52833 is on the go - it should work, but radio performance may be suboptimal, use it at own risk.**

In a meanwhile please share your thoughts, or feel free to [submit request](https://bitbucket.org/raytrails/raybeacon/issues/new) for a new slice or report an issue!